Redirects to the Microsoft Bookings page for a Tophhie Cloud user.
GET
/bookings/{upn}
const url = 'https://api.tophhie.cloud/bookings/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.tophhie.cloud/bookings/exampleLooks up the user’s primary Exchange Online mailbox ID via Microsoft Graph (beta) and issues a 302 redirect to their Bookings ‘book with me’ page. The user must have a primary mailbox in Exchange Online.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”upn
required
The User Principal Name (email address) of the Tophhie Cloud user.
string
The User Principal Name (email address) of the Tophhie Cloud user.
Responses
Section titled “Responses”Redirect to the user’s Microsoft Bookings link.
Bad request — invalid UPN format.
Media typetext/plain
string
Primary mailbox not found for the user.
Media typetext/plain
string
Graph API error or the user does not exist.
Media typetext/plain
string

